<body>
<div class="edit-form-genral-info">
  <div class="container">
    <div class="row">
      <div class="col-xl-1 col-md-1 col-sm-1 col-1"></div>
      <div class="col-xl-10 col-md-10 col-sm-10 col-10">
        <div class="box-background">
          <div class="sub-field-form" style="margin: 15px">
              <h4>
                توضیح
              </h4>
            <hr>
            <textarea [(ngModel)]="newProduct.description" class="extra-text field-form"></textarea>
          </div>

          <div class="container">
            <div class="row field-form">
              <div class="col-xl-3 col-md-3 col-sm-12 col-12">
                <div class="sub-field-form">
                  <p>
                    تعداد
                  </p>
                  <input type="number" [(ngModel)]="newProduct.quantity" class="input-field" required>
                </div>

              </div>
              <div class="col-xl-3 col-md-3 col-sm-12 col-12">
                <div class="sub-field-form">
                  <p>
                    عنوان
                  </p>
                </div>
                <input [(ngModel)]="newProduct.title" class="input-field">
              </div>
              <div class="col-xl-3 col-md-3 col-sm-12 col-12">
                <div class="sub-field-form">
                  <p>
                    گروه
                  </p>
                </div>
                <select class="input-field" id="category" [(ngModel)]="newProduct.category" required>
                  <option *ngFor="let cat of catList; let i = index" [value]="cat.title">
                    {{cat.title}}
                  </option>
                </select>
              </div>
              <div class="col-xl-3 col-md-3 col-md-3 col-12">
                <div class="sub-field-form">
                  <p>
                    قیمت فروش
                  </p>
                </div>
                <input type="number" [(ngModel)]="newProduct.sale_price" class="input-field" required>
              </div>
            </div>
          </div>

          <div class="sub-field-form">
            <h4>
              انتخاب اقلام موجود در بسته
            </h4>
          </div>
          <hr>

          <form class="checkBox field-form" [formGroup]="form" (ngSubmit)="submit()">
            <div *ngFor="let data of ordersData; let i=index">
              {{data.name}}
              <input type="checkbox" (change)="onChenge(data.name , !(data.isChecked) , i)">
            </div>
          </form>

          <hr>
          <input style="display: none" class="input-field" type="file" (change)="onChangeFile($event)" #inputFile>
          <button class="uploadFile" (click)="inputFile.click()">
            اپلود تصاویر
          </button>

<!--
          <div class="sub-field-form">
            <h4>
              تخفیف
            </h4>
          </div>
          <hr>
          <div class="container">
            <div class="row field-form">
              <div class="col-xl-4 col-md-4 col-sm-4 col-12">
                <h6 class="sub-field-form">
                  <p>
                    عنوان
                  </p>
                </h6>
                <input [(ngModel)]="newProduct.discount.title" class="input-field">

              </div>
              <div class="col-xl-4 col-md-4 col-sm-4 col-12">
                <h6 class="sub-field-form">
                  <p>
                    مخاطبان
                  </p>
                </h6>
                <input [(ngModel)]="newProduct.discount.group" class="input-field">
              </div>
              <div class="col-xl-4 col-md-4 col-sm-4 col-12">
                <h6 class="sub-field-form">
                  <p>
                    درصد
                  </p>
                </h6>
                <input type="number" [(ngModel)]="newProduct.discount.percent" class="input-field">
              </div>
            </div>
          </div>

          <div class="container">
            <div class="row field-form">
              <div class="col-xl-6 col-md-6 col-sm-12 col-12">
                <h6 class="sub-field-form">
                  <p>
                    تاریخ شروع
                  </p>
                </h6>
                <input type="date" [(ngModel)]="newProduct.discount.start_date" class="input-field">
              </div>

              <div class="col-xl-6 col-md-6 col-sm-12 col-12">
                  <h6 class="sub-field-form">
                    <p>
                     تاریخ پایان
                    </p>
                  </h6>
                <input type="date" [(ngModel)]="newProduct.discount.end_date" class="input-field">
              </div>
            </div>
          </div>
-->

          <button class="edit-button" (click)="createNewProduct()">
            ثبت
          </button>
        </div>
      </div>
      <div class="col-xl-1 col-md-1 col-sm-1 col-1"></div>
    </div>
  </div>
</div>
</body>
